- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends

# QMYSQLResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qsql_mysql.h.

`#include <qsql_mysql.h>`

Inheritance diagram for QMYSQLResult:
[legend]

List of all members.

## Public Member Functions
| QMYSQLResult (const QMYSQLDriver *db)
| ~QMYSQLResult ()
QVariant | handle () const
## Protected Member Functions
void | cleanup ()
bool | fetch (int i)
bool | fetchNext ()
bool | fetchLast ()
bool | fetchFirst ()
QVariant | data (int field)
bool | isNull (int field)
bool | reset (const QString &query)
int | size ()
int | numRowsAffected ()
QVariant | lastInsertId () const
QSqlRecord | record () const
void | virtual_hook (int id, void *data)
bool | nextResult ()
## Friends
class | QMYSQLDriver
class | QMYSQLResultPrivate

## Constructor & Destructor Documentation

QMYSQLResult | ( | const QMYSQLDriver * | db | ) | `[explicit]`

~QMYSQLResult | ( |  | ) |

## Member Function Documentation

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void cleanup | ( |  | ) | `[protected]`

Search for all occurrences

bool fetch | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchNext | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool fetchLast | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchFirst | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QVariant data | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool isNull | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool reset | ( | const QString & | query | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int size | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int numRowsAffected | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QVariant lastInsertId | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

QSqlRecord record | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool nextResult | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented from QSqlResult.

## Friends And Related Function Documentation

friend class QMYSQLDriver `[friend]`

Search for all occurrences

Definition at line 71 of file qsql_mysql.h.

friend class QMYSQLResultPrivate `[friend]`

Search for all occurrences

Definition at line 72 of file qsql_mysql.h.

The documentation for this class was generated from the following file:

- QtSql/qsql_mysql.h

QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult
QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult QMYSQLResult